uniform sampler2D ColorTex;
uniform sampler2D DepthTex;
uniform int Effect_Invert_P1;
uniform int Effect_Invert_P2;
uniform int Effect_Wirble_P1;
uniform int Effect_Wirble_P2;

void main()
{
   vec4 sum = vec4(0);
   vec2 texcoord = gl_TexCoord[0].xy;
   int j;
   int i;

   for( i= -4 ;i < 4; i++)
   {
        for (j = -3; j < 3; j++)
        {
            sum += texture2D(ColorTex, texcoord + vec2(j, i)*0.002) * 0.25;
        }
	}
	gl_FragColor = sum*sum*sum*sum*(1.0-texture2D(ColorTex,texcoord).r)/6500.0 + texture2D(ColorTex, texcoord);
	//gl_FragColor = vec4(vec3(texture2D(DepthTex,texcoord).x),1.0);
	
	if (texcoord.x > 0.5) {
		if (Effect_Wirble_P2 == 1) 	{
			texcoord.x = texcoord.x + mod(texcoord.y*5.0,0.04);
			texcoord.x = clamp(texcoord.x,0.5,1.0);
			gl_FragColor.rgb = texture2D(ColorTex,texcoord).rgb;
			gl_FragColor.a = 1.0;
			}
			
		if (Effect_Invert_P2 == 1){
			if (Effect_Wirble_P2 == 0)
				{
				texcoord.y = 1 - texcoord.y;
				gl_FragColor.rgb = texture2D(ColorTex,texcoord).rgb;
				}
			gl_FragColor.rgb = vec3(1.0,1.0,1.0)-gl_FragColor.rgb;
		}
	}
	else
	{
		if (Effect_Wirble_P1 == 1) 	{
			texcoord.x = texcoord.x + mod(texcoord.y*5.0,0.04);
			texcoord.x = clamp(texcoord.x,0.0,0.5);
			gl_FragColor.rgb = texture2D(ColorTex,texcoord).rgb;
			gl_FragColor.a = 1.0;
			}
			
		if (Effect_Invert_P1 == 1) {
				if (Effect_Wirble_P1 == 0)
				{
				texcoord.y = 1 - texcoord.y;
				gl_FragColor.rgb = texture2D(ColorTex,texcoord).rgb;
				}
			gl_FragColor.rgb = vec3(1.0,1.0,1.0)-gl_FragColor.rgb;
			}
	}
}