uniform vec4 vWaveParams;

void  main(void)
{
vec2 fTranslation = vec2( mod(vWaveParams.w, 100.0)*0.01, 0.0);

vec2 vTexCoords = gl_Vertex.xz*0.001;

gl_TexCoord[1].xy = vTexCoords.xy       + fTranslation * 2.0;
gl_TexCoord[2].xy = vTexCoords.xy * 2.0 + fTranslation * 4.0;
gl_TexCoord[3].xy = vTexCoords.xy * 4.0 + fTranslation * 6.0;
gl_TexCoord[4].xy = vTexCoords.xy * 8.0 + fTranslation;

vec4 vHPos = gl_ModelViewProjectionMatrix * gl_Vertex;
gl_Position = vHPos;
gl_TexCoord[1].zw = vec2( vHPos.w, vHPos.w);

gl_TexCoord[5].xy = (vHPos.xy + vHPos.w)*0.5;
gl_TexCoord[5].zw =  vec2(vWaveParams.z, vHPos.w);


gl_TexCoord[0].xyz = -(gl_ModelViewMatrix * gl_Vertex).xzy;
}